syms t
g=2*t^2;
a0=1/pi*int(g,t,0,pi);
for k=1:7
    a(k)=2/pi*int(g*cos(k*t),t,0,pi);
end
umnozak=round(double(a0*prod(a)),5);
fprintf('\n Trazeni je umnozak jednak %d. \n\n',umnozak);
F7=a0;
for k=1:7
    F7=F7+a(k)*cos(k*t);
end
fplot(g,[-pi,pi]);
grid on; 
ax = gca;
ax.XAxisLocation = 'origin';
ax.YAxisLocation = 'origin';
hold on;
fplot(F7,[-pi,pi]);
xlabel('t');
ylabel('y');
legend('g','F7','Location','NorthEast');
title('Grafovi funkcija g i F7');