syms t
h=-t^3;
for k=1:9
    b(k)=2/pi*int(h*sin(k*t),t,0,pi);
end
prosjek=round(double(mean(b)),5);
fprintf('\n Trazena aritmeticka sredina je jednaka %d. \n\n',prosjek);
F9=0;
for k=1:9
    F9=F9+b(k)*sin(k*t);
end
fplot(h,[-pi,pi]);
grid on; 
ax = gca;
ax.XAxisLocation = 'origin';
ax.YAxisLocation = 'origin';
hold on;
fplot(F9,[-pi,pi]);
t1=[-pi pi];
y1=[0 0];
y2=subs(h,t1);
plot(t1,y1,'*b');
plot(t1,y2,'ob');
xlim([-3.5,3.5]);
ylim([-35,35]);
xlabel('t');
ylabel('y');
legend('h','F9','Location','NorthEast');
title('Grafovi funkcija h i F9');