syms t
h=105*atan(2*t);
M7=taylor(h,t,0,'Order',8);
fprintf('\n Trazeni polinom je M7(t) = %s.\n',M7);
a=double(subs(h,0.1));
b=double(subs(M7,0.1));
ap=abs(a-b);
rp=abs(ap/a)*100;
fprintf('\n Trazene vrijednosti su redom jednake %d i %d%%.\n\n',ap,rp);
subplot(1,2,1); 
fplot(h,[-0.5,0.5]); 
grid on;
ax = gca;
ax.XAxisLocation = 'origin';
ax.YAxisLocation = 'origin';
hold on;
fplot(M7,[-0.5,0.5]);
ylabel('y');
xlabel('t');
title('Grafovi funkcija h i M7');
legend('h','M7');
subplot(1,2,2); 
fplot(h-M7,[-0.5,0.5]); 
grid on;
ax = gca;
ax.XAxisLocation = 'origin';
ax.YAxisLocation = 'origin';
ylabel('y');
xlabel('t');
title('Graf funkcije pogreske g = h - M7');