syms x
p=(x+2)^(1/3);
T5=taylor(p,x,-1,'Order',6);
fprintf('\n Trazeni polinom je T5(u) = %s.\n',T5);
a=double(subs(p,-0.5));
b=double(subs(T5,-0.5));
ap=abs(a-b);
rp=abs(ap/a)*100;
fprintf('\n Trazene vrijednosti su redom jednake %d i %d%%.\n\n',ap,rp);
subplot(1,2,1);
fplot(p,[-1.5,-0.5]); 
grid on;
ax = gca;
ax.XAxisLocation = 'origin';
ax.YAxisLocation = 'origin';
xlim([-2,0]);
ylim([-0.2,1.4]);
hold on;
fplot(T5,[-1.5,-0.5]);
ylabel('y');
xlabel('x');
title('Grafovi funkcija p i T5')
legend('p','T5');
subplot(1,2,2); 
fplot(p-T5,[-1.5,-0.5]); 
grid on;
ax = gca;
ax.XAxisLocation = 'origin';
ax.YAxisLocation = 'origin';
xlim([-2,0]);
ylim([-7*10^(-4),2*10^(-4)]);
ylabel('y');
xlabel('x');
title('Graf funkcije pogreske g = p - T5');