syms t
f=piecewise(t==0,9,(t>0)&(t<2),t+1,(t>=2)&(t<=4),2*t+1);
a0=1/4*int(f,t,0,4);
for k=1:7
    a(k)=1/2*int(f*cos(k*pi/2*t),t,0,4);
    b(k)=1/2*int(f*sin(k*pi/2*t),t,0,4);
end
zbroj=round(double(a0+sum(a+b)),5);
fprintf('\n Trazeni je zbroj jednak %d.\n\n',zbroj);
F5=a0;
for k=1:7
    F5=F5+a(k)*cos(k*pi/2*t)+b(k)*sin(k*pi/2*t);
end
fplot(f,[0,4]);
grid on; 
ax = gca;
ax.XAxisLocation = 'origin';
ax.YAxisLocation = 'origin';
hold on;
fplot(F5,[0,4]);
t1=0;
y1=9;
y2=1;
plot(t1,y1,'*b');
plot(t1,y2,'ob');
xlim([-0.5,4.5]);
ylim([-1,10]);
xlabel('t');
ylabel('y');
legend('f','F5','Location','Northeast');
title('Grafovi funkcija f i F5');